### Constructor

# FwupdPlugin Chunk new

#### Declaration [src]

    FuChunk*
    fu_chunk_new (
      guint idx,
      guint page,
      gsize address,
      const guint8* data,
      gsize data_sz
    )

#### Description [src]

Creates a new packet of chunked data.

Available since: | 1.1.2

#### Parameters

`idx` | `guint`
| The packet number.
`page` | `guint`
| The hardware memory page.
`address` | `gsize`
| The address within the page.
`data` | `const guint8*`
| The data.
| The data is owned by the caller of the function.
`data_sz` | `gsize`
| Size of `data_sz`.

#### Return value

Returns: | `FuChunk`
| A `FuChunk`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.